import { Options } from './cli';
/**
 * Object that contains the position of formatting issue within the file, the
 * length of it, and the string to replace it with.
 */
export interface Replacement {
    offset: number;
    length: number;
    fix: string;
}
export declare const clangFormat: any;
/**
 * Run tslint fix and clang fix with the default configuration
 * @param options
 * @param fix whether to automatically fix the format
 * @param files files to format
 */
export declare function format(options: Options, files?: string[], fix?: boolean): Promise<boolean>;
/**
 * Parses through xml string for the replacement string, offset, length and
 * returns all of the necessary replacements for the file
 *
 * @param output xml string from clangFormat
 */
export declare function getReplacements(fileXML: string): Replacement[];
